org.apache.ignite.internal.processors.cache.extras

## Class GridCacheAttributesObsoleteEntryExtras

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.extras.GridCacheEntryExtrasAdapter
  - - org.apache.ignite.internal.processors.cache.extras.GridCacheAttributesObsoleteEntryExtras

All Implemented Interfaces:
  GridCacheEntryExtras

    public class GridCacheAttributesObsoleteEntryExtras
    extends GridCacheEntryExtrasAdapter

Extras where attributes and obsolete version are set.

### Method Summary

All Methods Instance Methods Concrete Methods
`GridCacheEntryExtras` `mvcc(GridCacheMvcc mvcc)`
`GridCacheVersion` `obsoleteVersion()`
`GridCacheEntryExtras` `obsoleteVersion(GridCacheVersion obsoleteVer)`
`int` `size()`
`String` `toString()`
`GridCacheEntryExtras` `ttlAndExpireTime(long ttl, long expireTime)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.extras.GridCacheEntryExtrasAdapter

`expireTime, mvcc, ttl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### mvcc

    public GridCacheEntryExtras mvcc(GridCacheMvcc mvcc)

Parameters:
  `mvcc` - MVCC.
Returns:
  Updated extras.

#### obsoleteVersion

    public GridCacheVersion obsoleteVersion()

Specified by:
  `obsoleteVersion` in interface `GridCacheEntryExtras`
Overrides:
  `obsoleteVersion` in class `GridCacheEntryExtrasAdapter`
Returns:
  Obsolete version.

#### obsoleteVersion

    public GridCacheEntryExtras obsoleteVersion(GridCacheVersion obsoleteVer)

Parameters:
  `obsoleteVer` - Obsolete version.
Returns:
  Updated extras.

#### ttlAndExpireTime

    public GridCacheEntryExtras ttlAndExpireTime(long ttl,
                                                 long expireTime)

Parameters:
  `ttl` - TTL.
  `expireTime` - Expire time.
Returns:
  Updated extras.

#### size

    public int size()

Returns:
  Extras size.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022